SDL_Locale(3type)

NAME
SDL_Locale - A struct to provide locale data.

HEADER FILE
Defined in SDL3/SDL_locale.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_Locale
{
    const char *language;  /**< A language name, like en"forEnglish.*/
    const char *country;  /**< A country, like US"forAmerica.CanbeNULL.*/
} SDL_Locale;

DESCRIPTION
Locale data is split into a spoken language, like English, and an optional country, like Canada. The language will be in ISO-639 format (so English would be "en"), and the country, if not NULL, will be an ISO-3166 country code (so Canada would be "CA").

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetPreferredLocales(3)